"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _generateRobotstxt = _interopRequireDefault(require("generate-robotstxt"));

var _webpackSources = require("webpack-sources");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class RobotstxtPlugin {
  constructor(options = {}) {
    this.options = Object.assign({
      filePath: "robots.txt"
    }, options);
  }

  apply(compiler) {
    const plugin = {
      name: "RobotstxtPlugin"
    };
    compiler.hooks.emit.tapPromise(plugin, compilation => (0, _generateRobotstxt.default)(this.options).then(contents => {
      compilation.assets[this.options.filePath] = new _webpackSources.RawSource(contents);
      return contents;
    }).catch(error => {
      compilation.errors.push(error);
    }));
  }

}

exports.default = RobotstxtPlugin;